import { DataWatcher, StoreContract } from "./abstract";
import { ChunkId } from "../interface";
export declare class ProcessWatcher extends DataWatcher {
    #private;
    constructor();
    private onUnblock;
    getRowCount(chunkId: ChunkId): Promise<number>;
    getRowCountSync(chunkId: ChunkId): number;
    store(storeContract: StoreContract): Promise<void>;
    restore(chunkId: ChunkId): Promise<StoreContract>;
}
